Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.aspects.portlet
Class ContextDispatcherInterceptor

    java.lang.Object
      org.jboss.portal.portlet.PortletInvokerInterceptor
          org.jboss.portal.portlet.aspects.portlet.ContextDispatcherInterceptor

All Implemented Interfaces:
  PortletInvoker

    public class ContextDispatcherInterceptor

extends PortletInvokerInterceptor

This interceptor dispatch the call to the target web application.

Version:
  $Revision: 7226 $
Author:
  Julien Viet

Field Summary
`static java.lang.String` | `REQ_ATT_COMPONENT_INVOCATION` .

Constructor Summary
`ContextDispatcherInterceptor()`

Method Summary
`org.jboss.portal.web.ServletContainerFactory` | `getServletContainerFactory()`
`PortletInvocationResponse` | `invoke(PortletInvocation invocation)` Invoke an operation on a specific portlet.
`void` | `setServletContainerFactory(org.jboss.portal.web.ServletContainerFactory servletContainerFactory)`

Methods inherited from class org.jboss.portal.portlet.PortletInvokerInterceptor
`createClone, destroyClones, getNext, getPortlet, getPortlets, getProperties, getProperties, setNext, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQ_ATT_COMPONENT_INVOCATION

    public static final java.lang.String REQ_ATT_COMPONENT_INVOCATION

  .

  See Also:
    Constant Field Values

Constructor Detail

### ContextDispatcherInterceptor

    public ContextDispatcherInterceptor()

Method Detail

### getServletContainerFactory

    public org.jboss.portal.web.ServletContainerFactory getServletContainerFactory()

### setServletContainerFactory

    public void setServletContainerFactory(org.jboss.portal.web.ServletContainerFactory servletContainerFactory)

### invoke

    public PortletInvocationResponse invoke(PortletInvocation invocation)
                                     throws java.lang.IllegalArgumentException,
                                            PortletInvokerException

  Description copied from interface: `PortletInvoker`
  Invoke an operation on a specific portlet.

  Specified by:
    `invoke` in interface `PortletInvoker`
  Overrides:
    `invoke` in class `PortletInvokerInterceptor`
  Parameters:
    `invocation` - the portlet invocation
  Returns:
    the invocation response
  Throws:
    `java.lang.IllegalArgumentException` - if the invocation is null
    `PortletInvokerException` - a portlet invoker exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.